Upstream information

CVE-2019-7147 at MITRE

Description

A buffer over-read exists in the function crc64ib in crc64.c in nasmlib in Netwide Assembler (NASM) 2.14rc16. A crafted asm input can cause segmentation faults, leading to denial-of-service.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

SUSE Bugzilla entries: 1123635 [NEW], 1190019 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP4 nasm Not affected
SUSE Linux Enterprise Desktop 12 SP3 nasm Not affected
SUSE Linux Enterprise Desktop 12 SP4 nasm Not affected
SUSE Linux Enterprise Desktop 15 nasm Not affected
SUSE Linux Enterprise High Performance Computing 15 nasm Not affected
SUSE Linux Enterprise Module for Development Tools 15 nasm Not affected
SUSE Linux Enterprise Server 11 SP4 nasm Not affected
SUSE Linux Enterprise Server 12 SP3 nasm Not affected
SUSE Linux Enterprise Server 12 SP4 nasm Not affected
SUSE Linux Enterprise Server 15 nasm Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 nasm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nasm Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nasm Not affected
SUSE Linux Enterprise Server for SAP Applications 15 nasm Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 nasm Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 nasm Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 nasm Not affected